eth_getLogsAsk AIpost https://api.zan.top/node/v1/opt/mainnet/{apiKey}Returns an array of all logs matching a given filter object.Path ParamsapiKeystringrequiredDefaults to publicFor higher throughput, please create your own API key.Body ParamsidintegerDefaults to 1jsonrpcstringDefaults to 2.0methodstringDefaults to eth_getLogsparamsarray of objectslength between 1 and 1params objectaddressarray of stringsDefaults to 0x3a7d825f932612b512232798103c9dcaf6c84205Contract address or a list of addresses from which logs should originate.address stringADD stringfromBlockstringDefaults to 0x429d3bString - Either the hex value of a block number OR block tags: block number (in hex) OR block tag (one of the following): * pending - A sample next block built by the client on top of latest and containing the set of transactions usually taken from local mempool. Intuitively, you can think of these as blocks that have not been mined yet. * latest - The most recent block in the canonical chain observed by the client, this block may be re-orged out of the canonical chain even under healthy/normal conditions. * earliest - The lowest numbered block the client has available. Intuitively, you can think of this as the first block created. toBlockstringDefaults to 0x429d3bString - Either the hex value of a block number OR block tags: block number (in hex) OR block tag (one of the following): * pending - A sample next block built by the client on top of latest and containing the set of transactions usually taken from local mempool. Intuitively, you can think of these as blocks that have not been mined yet. * latest - The most recent block in the canonical chain observed by the client, this block may be re-orged out of the canonical chain even under healthy/normal conditions. * earliest - The lowest numbered block the client has available. Intuitively, you can think of this as the first block created. topicsarray of stringsDefaults to 0x8c5be1e5ebec7d5bd14f71427d1e84f3dd0314c0f7b2291e5b200ac8c7c3b925An array of 32-byte. Topics are order-dependent.topics stringADD stringResponse 200Returns array of log objects, or an empty array if nothing has changed since last poll.Updated 4 days ago